package com.mortals.xhx.module.staff.service.impl;
import com.mortals.xhx.module.staff.model.StaffCareQuery;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.staff.dao.StaffCareDao;
import com.mortals.xhx.module.staff.model.StaffCareEntity;
import com.mortals.xhx.module.staff.service.StaffCareService;

import java.util.List;

/**
* StaffCareService
* 员工关怀信息 service实现
*
* @author zxfei
* @date 2023-04-07
*/
@Service("staffCareService")
public class StaffCareServiceImpl extends AbstractCRUDServiceImpl<StaffCareDao, StaffCareEntity, Long> implements StaffCareService {

    @Override
    public List<StaffCareEntity> getStaffCareList(StaffCareEntity query) {
        return this.dao.getStaffCareList(query);
    }

    @Override
    public int getStaffCareListCount(StaffCareEntity query) {
        return this.dao.getStaffCareListCount(query);
    }
}