package com.mortals.xhx.module.staff.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.StaffCareEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 员工关怀信息视图对象
*
* @author zxfei
* @date 2023-04-07
*/
@Data
public class StaffCareVo extends BaseEntityLong {
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;

    /** 参数键，*/
    private String paramType;

    /** 参数值 */
    private Integer paramValue;
    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;
    /** 开始 入职时间 */
    private String entryDateStart;

    /** 结束 入职时间 */
    private String entryDateEnd;
}