package com.mortals.xhx.module.staff.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.staff.dao.StaffCareDao;
import com.mortals.xhx.module.staff.model.StaffCareEntity;
import com.mortals.xhx.module.staff.model.StaffCareQuery;

import java.util.List;

/**
* StaffCareService
*
* 员工关怀信息 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface StaffCareService extends ICRUDService<StaffCareEntity,Long>{

    StaffCareDao getDao();

    List<StaffCareEntity> getStaffCareList(StaffCareEntity query);

    int getStaffCareListCount(StaffCareEntity query);
}